
package info.textgrid._import;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ReplaceMethod.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ReplaceMethod">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NCName">
 *     &lt;enumeration value="none"/>
 *     &lt;enumeration value="full"/>
 *     &lt;enumeration value="token"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ReplaceMethod")
@XmlEnum
public enum ReplaceMethod {


    /**
     * No replacement will take place.
     * 
     */
    @XmlEnumValue("none")
    NONE("none"),

    /**
     * Replacement will only occur if the full contents of the node, stripped of any leading or following whitespace, forms an URI of which the part before any (optional) fragment matches the search string.
     * 
     */
    @XmlEnumValue("full")
    FULL("full"),

    /**
     * The node contents will be tokenized. Each token will be rewritten separately as in the full method.
     * 
     */
    @XmlEnumValue("token")
    TOKEN("token");
    private final String value;

    ReplaceMethod(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ReplaceMethod fromValue(String v) {
        for (ReplaceMethod c: ReplaceMethod.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
